pyassign Opcodes
Prev | Orchestra Opcodes and Operators | Next

## pyassign Opcodes

pyassign — Assign the value of the given Csound variable to a Python variable possibly destroying its previous content.

## Syntax

    pyassign "variable", kvalue

    pyassigni "variable", ivalue

    pylassign "variable", kvalue

    pylassigni "variable", ivalue

    pyassignt ktrigger, "variable", kvalue

    pylassignt ktrigger, "variable", kvalue

## Description

Assign the value of the given Csound variable to a Python variable possibly destroying its previous content. The resulting Python object will be a float.

## Credits

Copyright (c) 2002 by Maurizio Umberto Puxeddu. All rights reserved. Portions copyright (c) 2004 and 2005 by Michael Gogins. This document has been updated Sunday 25 July 2004 and 1 February 2005 by Michael Gogins.

Prev | Up | Next
pvs2tab | Home | pycall Opcodes